# README

## Projektstruktur

| Name                              | Pfad             |
| --------------------------------- | ---------------- |
| Templates                         | /templates/      |
| Seiten / Seiteninhalte            | /pages/          |
| Events                            | /events/         |
| Bilder                            | /images/         |
| Post Bilder                       | /images/posts/   |
| Post Bilder                       | /images/events/  |
| CSS                               | /css/            |
| PHP Scripts                       | /php/            |

## Erstellen neuer Events / Blog Posts

Datei im Eventverzeichnis Anlegen: 
- Nummerierung beachten!
- *.md* Dateierweiterung verwenden!

```
Titel
Beschreibung
Datum
Autor
------------------------
# Content here!
```

Strukturierung:

- Header
```
Titel
Beschreibung
Datum
Autor
```

- Trenner zwischen Header und Content
```
------------------------
```

- Content
```
# Content here!
```

Unter dem Trenner kann Markdown verwendet werden.

Bilder für Posts kommen in das Verzeichnis */images/posts/*

Bilder für Events kommen in das Verzeichnis */images/events/*